### Constructor

# Cogl Shader new

deprecated: 1.16

#### Declaration [src]

    CoglShader*
    cogl_shader_new (
      CoglShaderType shader_type
    )

#### Description [src]

Create a new shader handle, use `cogl_shader_source()` to set the source code to be used on it.

Deprecated since: 1.16

Use `CoglSnippet` api.

#### Parameters

`shader_type`

  Type: `CoglShaderType`

  COGL_SHADER_TYPE_VERTEX or COGL_SHADER_TYPE_FRAGMENT.

#### Return value

Type: `CoglShader`

A new shader handle.

The caller of the function takes ownership of the data, and is responsible for freeing it.